### Name: north.arrow
### Title: ~~function to do ... ~~
### Aliases: north.arrow
### Keywords: ~kwd1 ~kwd2

### ** Examples

##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--    or do  help(data=index)  for the standard data sets.

## The function is currently defined as
function (s_x, s_y = NULL, height = 0.1, lwd = 1, cex = 1) 
{
    require(Hmisc)
    if (is.null(s_y)) {
        s_y <- s_x$y
        s_x <- s_x$x
    }
    dims <- par()$usr
    ht <- dims[2] - dims[1]
    wt <- dims[4] - dims[3]
    fac_y <- ht * height
    fac_x <- wt * (height * 1)
    b1 <- bezier(c(0, -0.01, -0.04), c(1, 0.55, 0.5))
    b2 <- bezier(c(-0.04, -0.02, 0), c(0.5, 0.484, 0.48))
    xs <- (c(b1$x, b2$x, 0, 0) * fac_x) + s_x
    ys <- (c(b1$y, b2$y, 0, 1) * fac_y) + s_y
    polygon(xs, ys, xlim = c(0, 1), ylim = c(0, 1), col = "black")
    lines((c(-0.04, 0.04) * fac_x) + s_x, (c(0.38, 0.38) * fac_y) + 
        s_y, lwd = 1, lend = 2)
    text((0 * fac_x) + s_x, (1 * fac_y) + s_y, "N", font = 2, 
        pos = 3, cex = cex)
  }



